#!yaml|gpg
##
## NOTE: Classes will only be created if the current date is before the start date.  Classes will only be deleted if the end date is after the end date.
##       Also the stack create uses only last_name and password parameters, any additional parameters in the yaml will cause stack failure
##
## EXAMPLES:
##
##classes:
##  cctc-18-100:
##    students: 20
##    instructors: 2
##    heattemplate: https://git.cybbh.space/CCTC/public/raw/master/heat/CCTC_Master.yaml
##    startdate:
##    enddate:
##  cctc-18-101:
##    students: 10
##    instructors: 0
##    heattemplate: https://git.cybbh.space/CCTC/public/raw/master/heat/CCTC_Master.yaml
##    startdate:
##    enddate:
##    password: |
##      -----BEGIN PGP MESSAGE-----
##      Version: GnuPG v1
##
##      < gpg encrypted secret >
##      -----END PGP MESSAGE-----
## The students value is the number of students in the class who do *not* have
## a permanent account.  The instructor value is the number of cadre in the
## class who do *not* have a permanent account.  Student logins will be
## 00-indexed and in the format cctc-18-100-student-05.  Instructor logins will
## be 00-indexed and in the format cctc-18-100-instructor-05. The gpg encrypted
## secret is created with the salt pillar key

classes:
  wobc-19-002:
    students: 25
    instructors: 3
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-10-13
  cpb-19-002:
    students: 22
    instructors: 0
    heattemplate:
    startdate: 2019-04-22
    enddate: 2019-06-22
  t10ion-19-002:
    students: 22
    instructors: 4
    heattemplate: https://git.cybbh.space/t10/public/raw/master/heat/OpStation/Kali_Opstation.yaml
    startdate: 2019-05-06
    enddate: 2019-06-07
  aitph2-19-007:
    students: 20
    instructors: 4
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-07-23
  usmc-19-002:
    students: 22
    instructors: 2
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-06-04
  CCTC-MTT-19-004:
    students: 40
    instructors: 8
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-07-19
  aitph2-19-008:
    students: 25
    instructors: 0
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-08-20
  cyooc-19-002:
    students: 22
    instructors: 0
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-09-06
  usmc-19-003:
    students: 22
    instructors: 2
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-08-24
  cybolc-19-002:
    students: 20
    instructors: 2
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-08-13
  CCTC-MTT-19-005:
    students: 40
    instructors: 8
    heattemplate:
    startdate: 2019-07-08
    enddate: 2019-09-13
  aitph2-19-009:
    students: 25
    instructors: 0
    heattemplate:
    startdate: 2019-07-15
    enddate: 2019-09-17
  usmc-19-004:
    students: 22
    instructors: 2
    heattemplate:
    startdate: 2019-07-15
    enddate: 2019-09-16
  CCTC-MTT-19-006:
    students: 40
    instructors: 8
    heattemplate:
    startdate: 2019-07-22
    enddate: 2019-09-25
  t10ion-19-003:
    students: 22
    instructors: 3
    heattemplate:
    startdate: 2019-07-09
    enddate: 2019-08-10
  mtt-pa-19-006:
    students: 35
    instructors: 2
    heattemplate:
    startdate: 2019-07-22
    enddate: 2019-09-25
  usmc-19-005:
    students: 22
    instructors: 2
    heattemplate:
    startdate: 2019-08-05
    enddate: 2019-10-07
  aitph2-19-010:
    students: 22
    instructors: 2
    heattemplate:
    startdate: 2019-08-08
    enddate: 2019-08-26
  cyooc-19-003:
    students: 20
    instructors: 0
    heattemplate:
    startdate: 2019-08-20
    enddate: 2019-10-24
  cybolc-19-201:
    students: 25
    instructors: 2
    heattemplate:
    startdate: 2019-09-12
    enddate: 2019-11-20
